it.csi.mddtools.guigen

## Interface AppDataMappingParam

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PDefParam

      public interface AppDataMappingParam
      extends PDefParam

  A representation of the model object 'App Data Mapping Param'. Definizione di parametro di PanelDef che permette di rimpiazzare l'application data fittizio con quello reale nel PanelDefUse

  The following features are supported:

  - `Def App Data`
  See Also:
    `GuigenPackage.getAppDataMappingParam()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationData` | `getDefAppData()` Returns the value of the 'Def App Data' reference
    `void` | `setDefAppData(ApplicationData value)` Sets the value of the '`Def App Data`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.PDefParam

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDefAppData

          ApplicationData getDefAppData()

      Returns the value of the 'Def App Data' reference.

      If the meaning of the 'Def App Data' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Def App Data' reference.
      See Also:
        `setDefAppData(ApplicationData)`, `GuigenPackage.getAppDataMappingParam_DefAppData()`

    - #### setDefAppData

          void setDefAppData(ApplicationData value)

      Sets the value of the '`Def App Data`' reference.
      Parameters:
        `value` - the new value of the 'Def App Data' reference.
      See Also:
        `getDefAppData()`